regina::IntOfSize< bytes > Struct Template Reference

Gives access to k-byte integer types, where k is a constant that is not known until compile time. More...

`#include <utilities/intutils.h>`

## Public Types

typedef void | type
| A signed integer type with k bytes, where k is the template parameter. More...
typedef void | utype
| An unsigned integer type with k bytes, where k is the template parameter. More...

## Detailed Description

### template<int bytes>
struct regina::IntOfSize< bytes >

Gives access to k-byte integer types, where k is a constant that is not known until compile time.

## Member Typedef Documentation

template<int bytes>

typedef void regina::IntOfSize< bytes >::type

A signed integer type with k bytes, where k is the template parameter.

The default is `void`, which indicates that Regina does not know how to access an integer type of the requested size.

template<int bytes>

typedef void regina::IntOfSize< bytes >::utype

An unsigned integer type with k bytes, where k is the template parameter.

The default is `void`, which indicates that Regina does not know how to access an integer type of the requested size.

The documentation for this struct was generated from the following file:

- utilities/intutils.h

Copyright © 1999-2014, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@debian.org).